<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon Oct 14 14:51:10 CEST 2019 -->
<title>S-Index</title>
<meta name="date" content="2019-10-14">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="../services/package-summary.html">services</a> - package services</dt>
<dd>&nbsp;</dd>
<dt><a href="../ServicesTest/package-summary.html">ServicesTest</a> - package ServicesTest</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#setAuthor-domain.Author-">setAuthor(Author)</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#setBirthDate-java.util.Date-">setBirthDate(Date)</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#setBook-domain.Book-">setBook(Book)</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#setBorrowDate-java.util.Date-">setBorrowDate(Date)</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#setFirstName-java.lang.String-">setFirstName(String)</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#setGender-java.lang.String-">setGender(String)</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#setGenre-domain.Genre-">setGenre(Genre)</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#setId-int-">setId(int)</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#setId-int-">setId(int)</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#setId-int-">setId(int)</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#setId-int-">setId(int)</a></span> - Method in class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#setId-int-">setId(int)</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#setLastName-java.lang.String-">setLastName(String)</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Author.html#setName-java.lang.String-">setName(String)</a></span> - Method in class domain.<a href="../domain/Author.html" title="class in domain">Author</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#setName-java.lang.String-">setName(String)</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Genre.html#setName-java.lang.String-">setName(String)</a></span> - Method in class domain.<a href="../domain/Genre.html" title="class in domain">Genre</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#setName-java.lang.String-">setName(String)</a></span> - Method in class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Book.html#setPageCount-int-">setPageCount(int)</a></span> - Method in class domain.<a href="../domain/Book.html" title="class in domain">Book</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#setReturnDate-java.util.Date-">setReturnDate(Date)</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Borrow.html#setStudent-domain.Students-">setStudent(Students)</a></span> - Method in class domain.<a href="../domain/Borrow.html" title="class in domain">Borrow</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/BookDAO.html#showAllBooksWithGenre--">showAllBooksWithGenre()</a></span> - Method in class repo.<a href="../repo/BookDAO.html" title="class in repo">BookDAO</a></dt>
<dd>
<div class="block">method to show all books with it genre from the db, here the connection with db is made and query is executed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../services/BookService.html#showAllBooksWithGenre--">showAllBooksWithGenre()</a></span> - Method in class services.<a href="../services/BookService.html" title="class in services">BookService</a></dt>
<dd>
<div class="block">list of all the books with genre that uses the dao method</div>
</dd>
<dt><span class="memberNameLink"><a href="../application/Library.html#startLibrary--">startLibrary()</a></span> - Method in class application.<a href="../application/Library.html" title="class in application">Library</a></dt>
<dd>
<div class="block">start the application with a welcome message, also use methode showMenu() so the menu is shown</div>
</dd>
<dt><a href="../repo/StudentDAO.html" title="class in repo"><span class="typeNameLink">StudentDAO</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAO.html#StudentDAO--">StudentDAO()</a></span> - Constructor for class repo.<a href="../repo/StudentDAO.html" title="class in repo">StudentDAO</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAO.html#StudentDAO-java.sql.Connection-">StudentDAO(Connection)</a></span> - Constructor for class repo.<a href="../repo/StudentDAO.html" title="class in repo">StudentDAO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../repo/StudentDAOTest.html" title="class in repo"><span class="typeNameLink">StudentDAOTest</span></a> - Class in <a href="../repo/package-summary.html">repo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../repo/StudentDAOTest.html#StudentDAOTest--">StudentDAOTest()</a></span> - Constructor for class repo.<a href="../repo/StudentDAOTest.html" title="class in repo">StudentDAOTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../domain/Students.html" title="class in domain"><span class="typeNameLink">Students</span></a> - Class in <a href="../domain/package-summary.html">domain</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#Students--">Students()</a></span> - Constructor for class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../domain/Students.html#Students-int-java.lang.String-java.lang.String-java.util.Date-java.lang.String-">Students(int, String, String, Date, String)</a></span> - Constructor for class domain.<a href="../domain/Students.html" title="class in domain">Students</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../services/StudentService.html" title="class in services"><span class="typeNameLink">StudentService</span></a> - Class in <a href="../services/package-summary.html">services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../services/StudentService.html#StudentService-repo.StudentDAO-">StudentService(StudentDAO)</a></span> - Constructor for class services.<a href="../services/StudentService.html" title="class in services">StudentService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest"><span class="typeNameLink">StudentServicesTest</span></a> - Class in <a href="../ServicesTest/package-summary.html">ServicesTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ServicesTest/StudentServicesTest.html#StudentServicesTest--">StudentServicesTest()</a></span> - Constructor for class ServicesTest.<a href="../ServicesTest/StudentServicesTest.html" title="class in ServicesTest">StudentServicesTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">R</a>&nbsp;<a href="index-13.html">S</a>&nbsp;<a href="index-14.html">T</a>&nbsp;<a href="index-15.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-12.html">Prev Letter</a></li>
<li><a href="index-14.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-13.html" target="_top">Frames</a></li>
<li><a href="index-13.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
